//
//  AppDelegate.m
//  HA7 logger mini04
//  Copyright(C)2012-2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.03.25 v0.0  First cording
//    2013.05.04 v0.4  Commit
//
#import "AppDelegate.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    NSLog(@"application didFinishLaunchingWithOptions");

    self.obd = [[ObdDataLogger alloc] init];
    self.obd.dist_s     = [[NSUserDefaults standardUserDefaults] doubleForKey:@"dist_s"];
    self.obd.fuse_s     = [[NSUserDefaults standardUserDefaults] doubleForKey:@"fuse_s"];
    self.obd.runtm      = (long)([[NSUserDefaults standardUserDefaults] doubleForKey:@"runtm"] * 3600.0);
    self.obd.movtm      = (long)([[NSUserDefaults standardUserDefaults] doubleForKey:@"movtm"] * 3600.0);
    self.obd.remainFuel = [[NSUserDefaults standardUserDefaults] doubleForKey:@"remainFuel"];
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    NSLog(@"applicationWillResignActive");

    NSUserDefaults* defaults = [NSUserDefaults standardUserDefaults];
    [defaults setDouble:self.obd.dist_s       forKey:@"dist_s"];
    [defaults setDouble:self.obd.fuse_s       forKey:@"fuse_s"];
    [defaults setDouble:self.obd.runtm/3600.0 forKey:@"runtm"];
    [defaults setDouble:self.obd.movtm/3600.0 forKey:@"movtm"];
    [defaults setDouble:self.obd.remainFuel   forKey:@"remainFuel"];
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    [UIApplication sharedApplication].idleTimerDisabled = NO;
    NSLog(@"BG:Sleep enable");
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
    NSLog(@"FG");
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    NSLog(@"applicationDidBecomeActive");
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    NSLog(@"applicationWillTerminate");
}
@end
