//
//  Bluetooth4Obd.h
//  HA7 logger mini04
//  Copyright(C)2012-2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.04.30 v0.0  First cording
//    2013.05.04 v0.4  Commit
//
#import <Foundation/Foundation.h>

@interface Bluetooth4Obd : NSObject
@property (nonatomic) int     ect;       // Engine Coolant Temperature -40..215["C]
@property (nonatomic) int     shrtft1;   // Short Term Fuel Trim - Bank 1 -100..99[%]
@property (nonatomic) int     longft1;   // Long Term Fuel Trim - Bank 1 -100..99[%]
@property (nonatomic) int     map;       // Intake Manifold Absolute Pressure 0..255[kPa]
@property (nonatomic) int     rpm;       // Engine RPM 0..16383[min^-1]
@property (nonatomic) int     vss;       // Vehicle Speed Sensor 0..255[km/h]
@property (nonatomic) int     sparkadv;  // Ignition Timing Advance for #1 Cylinder -64..63["]
@property (nonatomic) int     iat;       // Intake Air Temperature -40..215["C]
@property (nonatomic) int     tp;        // Absolute Throttle Position 0..100[%]
@property (nonatomic) int     o2s11;     // Bank 1 Sensor 1 - Oxygen Sensor Output Voltage 0..1275[mV]
@property (nonatomic) int     shrtft11;  // Bank 1 Sensor 1 - Short Term Fuel Trim -100..99[%]
@property (nonatomic) int     vpwr;      // Control module voltage 0..65535[mV]

@property (nonatomic) BOOL     valid;    //

#define OBD_SERVICE_UUID           @"B61CF193-79B3-450A-BE2F-16D46E216B00"
#define OBD_CHARACTERISTIC_UUID1   @"B61CF193-79B3-450A-BE2F-16D46E216B01"
#define OBD_CHARACTERISTIC_UUID2   @"B61CF193-79B3-450A-BE2F-16D46E216B02"
#define OBD_CHARACTERISTIC_UUID3   @"B61CF193-79B3-450A-BE2F-16D46E216B03"
#define OBD_CHARACTERISTIC_UUID4   @"B61CF193-79B3-450A-BE2F-16D46E216B04"
#define OBD_CHARACTERISTIC_UUID5   @"B61CF193-79B3-450A-BE2F-16D46E216B05"
#define OBD_CHARACTERISTIC_UUID6   @"B61CF193-79B3-450A-BE2F-16D46E216B06"
#define OBD_CHARACTERISTIC_UUID7   @"B61CF193-79B3-450A-BE2F-16D46E216B07"
#define OBD_CHARACTERISTIC_UUID8   @"B61CF193-79B3-450A-BE2F-16D46E216B08"
#define OBD_CHARACTERISTIC_UUID9   @"B61CF193-79B3-450A-BE2F-16D46E216B09"
#define OBD_CHARACTERISTIC_UUID10  @"B61CF193-79B3-450A-BE2F-16D46E216B0a"
#define OBD_CHARACTERISTIC_UUID11  @"B61CF193-79B3-450A-BE2F-16D46E216B0b"
#define OBD_CHARACTERISTIC_UUID12  @"B61CF193-79B3-450A-BE2F-16D46E216B0c"
//#define READ_INTERVAL      1.5         // Use the "read" function, calling interval[sec]
                                         // If undefine is use "notify/indicate"

@end

