//
//  FirstViewController.m
//  HA7 logger mini04
//  Copyright(C)2012-2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.03.25 v0.0  First cording
//    2013.05.04 v0.4  Commit
//

#import "FirstViewController.h"
#import "AppDelegate.h"

@interface FirstViewController ()
@property (strong, nonatomic) NSTimer           *updateTimer;
@property (weak, nonatomic)   ObdDataLogger     *obd;
@end

@implementation FirstViewController


#pragma mark - View Lifecycle


- (void)viewDidLoad
{
    [super viewDidLoad];
    AppDelegate *appDeligate = [[UIApplication sharedApplication] delegate];
    self.obd = appDeligate.obd;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}


- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
 	self.updateTimer = [NSTimer scheduledTimerWithTimeInterval:1.0 target:self selector:@selector(refreshView:) userInfo:nil repeats:YES];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    [self.updateTimer invalidate];
    self.tabBarItem.badgeValue = nil;
}

- (IBAction)refreshView:(id)sender
{
    [self.ect      setText:[[NSString alloc] initWithFormat:@"%d",self.obd.ect]];
    [self.shrtft1  setText:[[NSString alloc] initWithFormat:@"%d",self.obd.shrtft1]];
    [self.longft1  setText:[[NSString alloc] initWithFormat:@"%d",self.obd.longft1]];
    [self.map      setText:[[NSString alloc] initWithFormat:@"%d",self.obd.map]];
    [self.rpm      setText:[[NSString alloc] initWithFormat:@"%d",self.obd.rpm]];
    [self.vss      setText:[[NSString alloc] initWithFormat:@"%d",self.obd.vss]];
    [self.sparkadv setText:[[NSString alloc] initWithFormat:@"%d",self.obd.sparkadv]];
    [self.iat      setText:[[NSString alloc] initWithFormat:@"%d",self.obd.iat]];
    [self.tp       setText:[[NSString alloc] initWithFormat:@"%d",self.obd.tp]];
    [self.o2s11    setText:[[NSString alloc] initWithFormat:@"%d",self.obd.o2s11]];
    [self.shrtft11 setText:[[NSString alloc] initWithFormat:@"%d",self.obd.shrtft11]];
    [self.vpwr     setText:[[NSString alloc] initWithFormat:@"%.2f",self.obd.vpwr/1000.0]];
    [self.dist_s   setText:[[NSString alloc] initWithFormat:@"%.1f",self.obd.dist_s]];
    [self.fuse_s   setText:[[NSString alloc] initWithFormat:@"%.1f",self.obd.fuse_s]];
    [self.runtm    setText:[[NSString alloc] initWithFormat:@"%.1f",self.obd.runtm/3600.0]];
    [self.movtm    setText:[[NSString alloc] initWithFormat:@"%.1f",self.obd.movtm/3600.0]];
    [self.dist_d   setText:[[NSString alloc] initWithFormat:@"%.2f",self.obd.dist_d]];
    [self.fuse_d   setText:[[NSString alloc] initWithFormat:@"%.2f",self.obd.fuse_d]];
    [self.runtm_d  setText:[[NSString alloc] initWithFormat:@"%d:%02d:%02d",(int)self.obd.runtm_d/3600,(int)(self.obd.runtm_d/60)%60,(int)self.obd.runtm_d%60]];
    [self.movtm_d  setText:[[NSString alloc] initWithFormat:@"%d:%02d:%02d",(int)self.obd.movtm_d/3600,(int)(self.obd.movtm_d/60)%60,(int)self.obd.movtm_d%60]];
    if (self.obd.valid) {
        self.tabBarItem.badgeValue = nil;
    } else {
        self.tabBarItem.badgeValue = @"X";
    }
}

@end
